# DataExchange
TKSTEP209
StepFEA

# StepFEA_CurveElementIntervalLinearlyVarying Class Reference

Representation of STEP entity CurveElementIntervalLinearlyVarying
.

`#include <StepFEA_CurveElementIntervalLinearlyVarying.hxx>`

Inheritance diagram for StepFEA_CurveElementIntervalLinearlyVarying:

[legend]

## Public Member Functions

Standard_EXPORT | StepFEA_CurveElementIntervalLinearlyVarying ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(StepFEA_CurveElementLocation)&aCurveElementInterval_FinishPosition, const Handle(StepBasic_EulerAngles)&aCurveElementInterval_EuAngles, const Handle(StepElement_HArray1OfCurveElementSectionDefinition)&aSections)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepElement_HArray1OfCurveElementSectionDefinition | Sections () const
| Returns field Sections .
Standard_EXPORT void | SetSections (const Handle(StepElement_HArray1OfCurveElementSectionDefinition)&Sections)
| Set field Sections .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepElement_HArray1OfCurveElementSectionDefinition | theSections

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_CurveElementIntervalLinearlyVarying::StepFEA_CurveElementIntervalLinearlyVarying | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepFEA_CurveElementIntervalLinearlyVarying::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepFEA_CurveElementInterval.

Standard_EXPORT void StepFEA_CurveElementIntervalLinearlyVarying::Init | ( | const Handle(StepFEA_CurveElementLocation)& | aCurveElementInterval_FinishPosition,
|  | const Handle(StepBasic_EulerAngles)& | aCurveElementInterval_EuAngles,
|  | const Handle(StepElement_HArray1OfCurveElementSectionDefinition)& | aSections
| ) |

Standard_EXPORT Handle_StepElement_HArray1OfCurveElementSectionDefinition StepFEA_CurveElementIntervalLinearlyVarying::Sections | ( |  | ) | const

Standard_EXPORT void StepFEA_CurveElementIntervalLinearlyVarying::SetSections | ( | const Handle(StepElement_HArray1OfCurveElementSectionDefinition)& | Sections | ) |

## Field Documentation

Handle_StepElement_HArray1OfCurveElementSectionDefinition StepFEA_CurveElementIntervalLinearlyVarying::theSections `[private]`

The documentation for this class was generated from the following file:

- StepFEA_CurveElementIntervalLinearlyVarying.hxx